| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Gaudi::Parsers::PushBackRefImpl< T, IT > Class Template Reference

`#include <ParserActions.h>`

Collaboration diagram for Gaudi::Parsers::PushBackRefImpl< T, IT >:

[legend]
List of all members.

## Detailed Description

### template<class T, typename IT>
class Gaudi::Parsers::PushBackRefImpl< T, IT >

Definition at line 43 of file ParserActions.h.

## Public Member Functions
| PushBackRefImpl (T &x, IT it)
template<class Arg>
void | eval (const Arg &) const
## Private Attributes
T & | data
IT | item
## Classes
struct | result

## Constructor & Destructor Documentation

template<class T, typename IT>

Gaudi::Parsers::PushBackRefImpl< T, IT >::PushBackRefImpl | ( | T & | x,
|  | IT | it |
| ) |  |  | `[inline]`

Definition at line 48 of file ParserActions.h.

    00048 :data(x),item(it){}

## Member Function Documentation

template<class T, typename IT>
template<class Arg>

void Gaudi::Parsers::PushBackRefImpl< T, IT >::eval | ( | const Arg & |  | ) | const`[inline]`

Definition at line 55 of file ParserActions.h.

References Gaudi::Parsers::PushBackRefImpl< T, IT >::data, and Gaudi::Parsers::PushBackRefImpl< T, IT >::item.

    00055                                         {
    00056         data().push_back(item);
    00057       }

## Member Data Documentation

template<class T, typename IT>

T& Gaudi::Parsers::PushBackRefImpl< T, IT >::data`[private]`

Definition at line 45 of file ParserActions.h.

Referenced by Gaudi::Parsers::PushBackRefImpl< T, IT >::eval().

template<class T, typename IT>

IT Gaudi::Parsers::PushBackRefImpl< T, IT >::item`[private]`

Definition at line 46 of file ParserActions.h.

Referenced by Gaudi::Parsers::PushBackRefImpl< T, IT >::eval().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiSvc/v17r1/src/JobOptionsSvc/ParserActions.h